<script setup lang="ts">
import { useDetail } from "../config/detail";
import { detailProps } from "../types";
import { purchpay_columns } from "/@/utils/details/purchPay";
import BasicDescriptions from "/@/components/BasicDescriptions";

const props = defineProps(detailProps);
defineEmits(["map-offset-top"]);

const { data, defaultRef } = useDetail(props);
</script>

<template>
  <BasicDescriptions
    ref="defaultRef"
    :data="data"
    :columns="purchpay_columns"
    :col-number="3"
  />
</template>
